import { GraphQLSchema } from 'graphql';
import { FragmentReplacements } from './types';
export declare function makeProxy<T extends object = any>({schema, fragmentReplacements, operation, before, handler}: {
    schema: GraphQLSchema;
    fragmentReplacements: FragmentReplacements;
    operation: 'query' | 'mutation';
    before: () => void;
    handler?: {
        new <T extends object>(schema, fragmentReplacements, operation, before): ProxyHandler<T>;
    };
}): T;
export declare function makeSubscriptionProxy<T extends object = any>({schema, fragmentReplacements, before, handler}: {
    schema: GraphQLSchema;
    fragmentReplacements: FragmentReplacements;
    before: () => void;
    handler?: {
        new <T extends object>(schema, fragmentReplacements, before): ProxyHandler<T>;
    };
}): T;
